中华钢结构论坛 China Structure Forum                                              XinY structural consultants ltd

 
怎么让SATWE不同的配筋率显示不同的颜色?
llincoln






积分 46
帖子 37
2009-7-22 15:01    顶部


想找一个LISP,
只要把WPJ*的文件导成DWG的,
然后按照不同的配筋率显示不同的颜色。
就好了!效果和ETABS的一样。
不然的话0.3~2.5%的梁都是白色的,
怎么优化设计?
hust_sunorain






积分 3
帖子 4
2009-9-20 12:55    顶部
0 分
我可以帮你写,qq28277506联系
YIWANGERIC






积分 102
帖子 108
2009-10-10 14:00    顶部
有没有牛点的大哥帮弄一个,我也需要,比如,设定当配筋率小于1.6%的时候用白色,在1.6%~2%之间用绿色,2%~2.5%之间用蓝色,大于2.5%用红色表示。
qunliuhb






积分 27
帖子 21
2009-11-12 12:36    顶部
这个可以实现。把PM里面的截面转成CAD,两张图叠在一起,即可读出截面和配筋计算配筋率了
ssili






积分 21
帖子 16
2010-1-27 17:03    顶部


;;;功能:         SATWE中梁配筋百分率标记
;
;
;
;
;
;;;说明:1.仅标记在21000图层上的实体。
;        2.符合条件的实体仅标记为红色,不另写图层。
;        3.三个数值中仅有一个符合条件就标记。
;        4.配筋率小于1.6%的时候用白色,在1.6%~2.0%之间用绿色,2.0%~2.5%之间用黄色,大于2.5%用红色
(defun C:bj ()
   (setq old_cm (getvar "CMDECHO"))
   (setvar "CMDECHO" 0)
   (setq wz_list (list (cons 0 "TEXT") (cons 8 "21000")(cons 1 "*-*-*")))
   (setq ss (ssget wz_list))
   (setq i 0)
   (setq n 0)
   (setq nn (sslength ss))
   (repeat nn
      (setq ssn (ssname ss i))
      (setq ssdata (entget ssn))
      (setq text_P1 (vl-string-position (ascii "-") (cdr (assoc 1 ssdata))))        
      (setq text_P2 (vl-string-position (ascii "-") (cdr (assoc 1 ssdata)) nil T))
      (setq text_P3 (vl-string-position (ascii "(") (cdr (assoc 1 ssdata))))
      (setq text_P11 (+ text_P1 2))
      (setq text_P21 (+ text_P2 2))
      (setq text_P1_2 (- text_P2 text_P1 1))
      (setq text_P2_3 (- text_P3 text_P2 1))
      (setq hh1 (atof (substr (cdr (assoc 1 ssdata)) 1 text_P1)))
      (setq hh2 (atof (substr (cdr (assoc 1 ssdata)) text_P11 text_P1_2)))
      (setq hh3 (atof (substr (cdr (assoc 1 ssdata)) text_P21 text_P2_3)))
      (setq hh_max (max hh1 hh2 hh3))
      (if (>= hh_max 2.5)
          (command ".chprop" ssn "" "c" "1" "")
      )
      (if (and (>= hh_max 2.0) (< hh_max 2.5))
          (command ".chprop" ssn "" "c" "2" "")
      )
      (if (and (>= hh_max 1.6) (< hh_max 2.0))
          (command ".chprop" ssn "" "c" "3" "")
      )
      (setq i (+ i 1))
   )
   (setvar "CMDECHO" old_cm)
   (princ)
)
lengliqun






积分 83
帖子 84
2010-2-5 22:16    顶部
CAD2004测试可用,谢谢。
coolhui






积分 40
帖子 41
2010-4-14 11:56    顶部
0 分
还没换08版的,收藏备用哦,谢谢
OWNER






积分 148
帖子 133
2010-4-15 01:20    顶部
真是好程序,有个建议:能否更加完善点,做个对话框,按照自定义的配筋率的范围显示颜色
dadawoood






积分 49
帖子 46
2010-4-16 00:28    顶部
对这方面不是太熟悉,哪位朋友做个动画上来,怎么用啊?
wangzhixing






积分 22
帖子 26
2010-4-16 14:01    顶部
哈哈,不错,
楼上的,在CAD中点开工具\Autolisp(s)\visual lisp编辑器(V)
然后从 VLISP 的“文件”菜单中选择“新建文件”。
在文字编辑器窗口(窗口标题为“<未命名 0>”)中输入以下代码,将5楼ssili同学写的代码拷入。另存为BJ,文件类型是LISP源文件
然后将这个文件加载一下即可。
将SATWE中的WPJ文件首先要打开是配筋率的形式,然后将WPJ*.T转化成WPJ*.DWG
用CAD打开WPJ*.DWG
然后键入命令BJ
选择梁配筋的那个图层21000上的所有文字,
然后就是见证奇迹的时刻。
偶然进入此贴,开始和你一样疑问,但是偶会用了,呵呵,在此也感谢各位的辛苦!
zhong01






积分 5
帖子 7
2010-4-16 19:37    顶部
0 分
感谢了, 很好的程序, 鼓励下作者
晓莲






积分 46
帖子 44
2010-5-10 10:06    顶部
0 分
谢谢!!太好了,正是我急需的。
homoyo






积分 1
帖子 1
2010-5-29 16:06    顶部
楼主 我将你这个 配筋率 做了下试验
但是我有个问题想烦你下
虽然可以把配镜率狂改颜色 但是 箍筋的白色 看起来确实是 很碍眼
能不能有办法将这个箍筋文字三掉
fjmhqk1






积分 39
帖子 34
2010-8-10 10:02    QQ 顶部
0 分
楼上都是行外的,这个业内早就有了啊,
OWNER






积分 148
帖子 133
2010-10-2 23:09    顶部
好程序,能否改进一下,做个对话框自定义配筋率,这样更加完美。
x0x0x0x045






积分 15
帖子 13
2011-4-11 10:25    顶部
08的用不了,有点问题哦。是否能能改进一下?
llincoln






积分 46
帖子 37
2011-4-11 14:41    顶部
homoyo wrote:
楼主 我将你这个 配筋率 做了下试验
但是我有个问题想烦你下
虽然可以把配镜率狂改颜色 但是 箍筋的白色 看起来确实是 很碍眼
能不能有办法将这个箍筋文字三掉 ...

我的解决办法是先把全图设成灰度,比如250色,然后再运行程序,就灰常顺眼了!
llincoln






积分 46
帖子 37
2011-4-11 14:42    顶部
x0x0x0x045 wrote:
08的用不了,有点问题哦。是否能能改进一下?

我的08可以啊,是你机器的问题吧~
hwxyhzhy0503






积分 5
帖子 6
2011-4-24 17:49    顶部
0 分
是个好东西,可以提高效率!
但本人对这些不了解,也不会用,杯具啊!
结构小妖






积分 7
帖子 15
2014-5-27 11:09    顶部
0 分
以前一直不知道有这种好东西。来晚了。赞一个。
asd_7890






积分 0
帖子 1
2014-9-13 20:14    顶部
0 分


试用了一下,感觉很好,人才
Hughwang






积分 2
帖子 4
2016-7-28 08:51    顶部


应该有一个软件叫做范围选数字的,就是把你要的数字范围选择出来,然后变换图层什么的
 


上海市通信管理局
沪ICP备020910
联系我们 版权声明 发帖规则 论坛制度 关于我们
版权所有.中华钢结构论坛.永久保留所有权利

[Processing Time] User:0.28, System:0.03, Children of user:0, Children of system:0